// Device : Air conditioner
{
  "deviceName": "[floor a/c]",
  "deviceType": "x.wwst.d.airconditioner",
  "collectionInfo": {
    "rt": "x.com.samsung.devcol",
    "uri": "/device",
    "ocif":["oic.if.baseline", "oic.if.ll", "oic.if.b"]
  },
  "resourceTypes": [
    {
      "rt": "x.com.st.powerswitch",
      "uri": "/switch/main",
      "n": "Power Switch",
      "v": true
    },
    {
      "rt": "oic.r.humidity",
      "uri": "/relativeHumidityMeasurement/main",
      "n": "Humidity",
      "v": true
    },
    {
      "rt": "x.com.st.airqualitylevel",
      "uri": "/airQualitySensor/main",
      "n": "Air Quality Level",
      "v":true
    },
    {
      "rt": "x.com.st.temperature.measured",
      "uri": "/temperatureMeasurement/cooler",
      "n": "Indoor Temperature Measurement",
      "v": true
    },
    {
      "rt": "x.com.st.temperature.measured.outdoor",
      "uri": "/temperatureMeasurement/outdoor",
      "n": "Outdoor Temperature Measurement",
      "v": true
    },
    {
      "rt": "x.com.st.temperature.cooling",
      "uri": "/thermostatCoolingSetpoint/main",
      "n": "Thermostat Cooling Setpoint",
      "v": true
    },
    {
      "rt": "x.com.st.fanspeed",
      "uri": "/fanspeed/main",
      "n": "Fan Speed",
      "v": true
    },
    {
      "rt": "x.com.st.mode.airconditioner",
      "uri": "/airConditionerMode/main",
      "n": "Air Conditioner Mode",
      "v": true
    },
    {
      "rt": "x.com.st.filter",
      "uri": "/filterStatus/main",
      "n": "Filter State",
      "v": true
    },
    {
      "rt": "x.com.st.energymeter",
      "uri": "/energyMeter/main",
      "n": "Energy meter",
      "v": true
    }
  ],
  "platformInfo": {
    "pi": "1234",//this value is mandatory for registering platform
    "mnmn": "Samsung Electronics",
    "mnml": "http://www.samsung.com",
    "mnmo": "0x0400",
    "mndt": "",
    "mnpv": "",
    "mnos": "",
    "mnhw": "SWL-CQ52",
    "mnfv": "Virtual Device_0824",
    "mnsl": "",
    "st": "",
    "vid": "GE-VD-FAC-000001"
  }
}